Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Class TreesBlock.NewickTreeString

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.TreesBlock.NewickTreeString

Enclosing class:
  TreesBlock

    public static class TreesBlock.NewickTreeString

extends Object

A simple representation of a Newick tree as a single string.

Constructor Summary
`TreesBlock.NewickTreeString()`

Method Summary
`String` | `getRootType()` See if the tree is rooted.
`String` | `getTreeString()` Get the Newick string describing the tree.
`boolean` | `isStarred()` Tests whether this tree has a star before it's name.
`void` | `setRootType(String rootType)` Make the tree (un)rooted.
`void` | `setStarred(boolean starred)` Sets whether this tree has a star before it's name.
`void` | `setTreeString(String treeString)` Set the Newick string describing the tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreesBlock.NewickTreeString

    public TreesBlock.NewickTreeString()

Method Detail

### setRootType

    public void setRootType(String rootType)

  Make the tree (un)rooted.

  Parameters:
    `rootType` - 'U' for unrooted, 'R' for rooted, `null` for unsure.

### setTreeString

    public void setTreeString(String treeString)

  Set the Newick string describing the tree.

### setStarred

    public void setStarred(boolean starred)

  Sets whether this tree has a star before it's name.

  Parameters:
    `starred` - `true` if it has one.

### isStarred

    public boolean isStarred()

  Tests whether this tree has a star before it's name.

  Returns:
    starred `true` if it has one.

### getRootType

    public String getRootType()

  See if the tree is rooted.

  Returns:
    'U' for unrooted, 'R' for rooted, `null` for unsure.

### getTreeString

    public String getTreeString()

  Get the Newick string describing the tree.

  Returns:
    the tree string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD